# eoReduceMerge< EOT > Class Template Reference

eoReduceMerge: Replacement strategies that start by reducing the parents, then merge with the offspring More...

`#include <eoReduceMerge.h>`

Inheritance diagram for eoReduceMerge< EOT >:

List of all members.

## Public Member Functions

| eoReduceMerge (eoReduce< EOT > &_reduce, eoMerge< EOT > &_merge)
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

eoReduce< EOT > & | reduce
eoMerge< EOT > & | merge

## Detailed Description

### template<class EOT>
class eoReduceMerge< EOT >

eoReduceMerge: Replacement strategies that start by reducing the parents, then merge with the offspring

This is the way to do SSGA: the offspring gets inserted in the population even if it is worse than anybody else.

: eoReduceMerge, eoSSGAWorseReplacement, eoSSGADetTournamentReplacement, eoSSGAStochTournamentReplacement

Definition at line 53 of file eoReduceMerge.h.

The documentation for this class was generated from the following file:

- eoReduceMerge.h